# Uses of Class
java.net.URLStreamHandler

Packages that use URLStreamHandler
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of URLStreamHandler in java.net

Methods in java.net that return URLStreamHandler
Modifier and Type
Method
Description
`URLStreamHandler`
URLStreamHandlerFactory.`createURLStreamHandler(String protocol)`
Creates a new `URLStreamHandler` instance with the specified protocol.
Methods in java.net with parameters of type URLStreamHandler
Modifier and Type
Method
Description
`static URL`
URL.`of(URI uri, URLStreamHandler handler)`
Creates a URL from a URI, as if by invoking `uri.toURL()`, but associating it with the given `URLStreamHandler`, if allowed.
Constructors in java.net with parameters of type URLStreamHandler
Modifier
Constructor
Description
``
`URL(String protocol, String host, int port, String file, URLStreamHandler handler)`
Deprecated.
Use `URL.of(URI, URLStreamHandler)` to construct an instance of URL associated with a custom protocol handler.
``
`URL(URL context, String spec, URLStreamHandler handler)`
Deprecated.
Use `URL.of(URI, URLStreamHandler)` to construct an instance of URL associated with a custom protocol handler.